Bug 947457 - metadata-extractor 2.6.4 is available
Summary: metadata-extractor 2.6.4 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: metadata-extractor
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1004563
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 13:14 UTC by gil cattaneo
Modified: 2014-01-11 05:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-11 05:15:14 UTC


Attachments (Terms of Use)

Description gil cattaneo 2013-04-02 13:14:12 UTC
Latest upstream release: 2.6.4
Current version in Fedora Rawhide: 
URL: https://metadata-extractor.googlecode.com/files/metadata-extractor-2.6.4-src.jar
or 
URL: https://code.google.com/p/metadata-extractor/source/browse/?name=2.6.4#git%253Fstate%253Dclosed

Rawhide has 2.3.1. Consider upgrading.
please, add maven pom from
http://repo2.maven.org/maven2/com/drewnoakes/metadata-extractor/2.6.2/metadata-extractor-2.6.2.pom
remove unavailable dep
e.g.
%pom_remove_dep com.adobe.xmp:xmpcore metadata-extractor-2.6.2.pom
change, if want, version
regards

ps see http://gil.fedorapeople.org/metadata-extractor.spec

Comment 1 Andrea Musuruane 2013-04-02 13:23:46 UTC
Metadata-extractor was imported into Fedora because it was a required dependency of JOSM. JOSM requires metadata-extractor 2.3.1. Even now metadata-extractor is only required by JOSM:

$ repoquery --whatrequires metadata-extractor
josm-0:0-0.29.5181svn.fc17.noarch
josm-0:0-0.38.5608svn.fc17.noarch
metadata-extractor-javadoc-0:2.3.1-8.fc17.noarch

Therefore the package has not been updated because it would break JOSM. 

You are very welcome to provides patches for JOSM and metadata-extractor if you would like to see a more recent version packaged.

Comment 2 Fedora End Of Life 2013-09-16 13:24:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20


Note You need to log in before you can comment on or make changes to this bug.